@if ($componentData) {
  <sqtm-core-customisable-dialog
    [titleKey]="
      'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.title'
    "
    [dialogId]="'import-from-xray-format-dialog'"
  >
    <sqtm-core-dialog-body>
      <div class="full-width full-height container">
        @if (
          $componentData().currentStep === ImportFromXraySteps.CONFIGURATION
        ) {
          <sqtm-app-import-from-xray-configuration
            [componentData]="$componentData()"
          ></sqtm-app-import-from-xray-configuration>
        }
        @if (
          $componentData().currentStep === ImportFromXraySteps.CONFIRMATION
        ) {
          <sqtm-app-import-from-xray-confirmation
            [componentData]="$componentData()"
          >
          </sqtm-app-import-from-xray-confirmation>
        }
        @if ($componentData().currentStep === ImportFromXraySteps.GENERATE) {
          <sqtm-app-import-from-xray-generate-pivot
            [componentData]="$componentData()"
          >
          </sqtm-app-import-from-xray-generate-pivot>
        }
        @if ($componentData().currentStep === ImportFromXraySteps.IMPORTING) {
          <sqtm-app-import-from-xray-import [componentData]="$componentData()">
          </sqtm-app-import-from-xray-import>
        }
      </div>
    </sqtm-core-dialog-body>
    <sqtm-core-dialog-footer>
      @if (
        $componentData().currentStep === ImportFromXraySteps.CONFIRMATION ||
        $componentData().currentStep === ImportFromXraySteps.GENERATE
      ) {
        <button
          class="flex-fixed-size m-r-10"
          [attr.data-test-dialog-button-id]="'previous'"
          nz-button
          nzType="default"
          (click)="handlePrevious()"
        >
          {{ 'sqtm-core.generic.label.previous' | translate }}
        </button>
      }
      @if (
        $componentData().currentStep === ImportFromXraySteps.CONFIGURATION ||
        $componentData().currentStep === ImportFromXraySteps.CONFIRMATION
      ) {
        <button
          [attr.data-test-dialog-button-id]="'confirm'"
          nz-button
          nzType="primary"
          [disabled]="
            $componentData().loadingData ||
            $componentData().errors.actionErrorMessage
          "
          (click)="handleNext()"
        >
          {{ 'sqtm-core.generic.label.next' | translate }}
        </button>
      }
      @if ($componentData().currentStep === ImportFromXraySteps.GENERATE) {
        <button
          [attr.data-test-dialog-button-id]="'import'"
          nz-button
          nzType="primary"
          [disabled]="canImport()"
          (click)="handleNextToImport()"
        >
          {{ 'sqtm-core.generic.label.import' | translate }}
        </button>
      }
      @if ($componentData().currentStep === ImportFromXraySteps.IMPORTING) {
        <button
          [attr.data-test-dialog-button-id]="'close'"
          class="flex-fixed-size m-l-10"
          nz-button
          nzType="default"
          (click)="handleClose()"
          [disabled]="$componentData().loadingData"
        >
          {{ 'sqtm-core.generic.label.close' | translate }}
        </button>
      } @else {
        <button
          [attr.data-test-dialog-button-id]="'cancel'"
          class="flex-fixed-size m-l-10"
          nz-button
          nzType="default"
          (click)="handleClose()"
        >
          {{ 'sqtm-core.generic.label.cancel' | translate }}
        </button>
      }
    </sqtm-core-dialog-footer>
  </sqtm-core-customisable-dialog>
}
